petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFGatherBegin

begin pointwise gather of all leaves into multi-roots, to be completed with PetscSFGatherEnd()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGatherBegin(PetscSF sf,MPI_Datatype unit,const void *leafdata,void *multirootdata)

Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| leafdata | - leaf data to gather to roots

### Output Argument

multirootdata -root buffer to gather into, amount of space per root is equal to its degree

### See Also

PetscSFComputeDegreeBegin(), PetscSFScatterBegin()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages